Skip to main content
PUT
Update an existing memory.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

companyId
string
required
memoryId
string
required

Body

application/json

Memory update data

Request body for updating a memory

content
string

Memory content text

category
string

Memory category

isActive
boolean

Whether the memory is active

companyId
string

Company ID (set to null to make global, or company ID to make company-specific)

Response

Updated memory

Memory object

id
string

Memory ID

content
string

Memory content text

category
string

Memory category

isActive
boolean

Whether the memory is active

sourceChatId
string

Source chat ID

sourceMessageId
string

Source message ID

metadata
object

Additional metadata

created
number

Creation timestamp

updated
number

Last update timestamp